<!DOCTYPE html>
<html>
<head lang="en">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>Quiz</title>
    <link rel="stylesheet" type="text/css" href="css/style.css">
    <style>
        .campo {
            position: relative;
            width: 600px;
            height: 610px;
            margin: 0 auto;
            background-color: #fff;
            padding: 10px 20px 20px 20px;
            border-radius: 10px;
            border: 2px solid #cbcbcb;
        }

        #ranking {
            font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        #ranking td, #ranking th {
            border: 1px solid #ddd;
            padding: 8px;
        }

        #ranking tr:nth-child(even){background-color: #f2f2f2;}

        #ranking tr:hover {background-color: #ddd;}

        #ranking th {
            padding-top: 12px;
            padding-bottom: 12px;
            text-align: left;
            background-color: #4CAF50;
            color: white;
        }
    </style>
</head>
<body onload="init()" background="images/imag1.png">
    <input type="hidden" name="id_partida" id="id_partida" />
    <input type="hidden" name="id_jogador_atual" id="id_jogador_atual" />
    <div class="campo">
        <div id="quiz">
            <h1 id="titulo">Quiz</h1>
            <div id="root">
                <div id="pagina-inicial">
                    <form class="form-container" action="javascript:iniciarPartida();" method="get">
                            <span id="mensagem-erro-partida"></span>
                            <p><input type="text" class="field-medium" placeholder="Nome" required="required" id="nomejogador"><input class="botao_quiz" type="submit" value="Jogar"></p>
                    </form>
                    <table id="ranking" class="table table-striped ">
                    </table>
                </div>

                <div id="pagina-categorias">
                    <div id="botoes"></div>
                    <footer>
                        <button name="id" class="botao_quiz secundario" onclick="abrirLogin()" value="2"><span id="login">Login</span></button>
                    </footer>
                </div>

                <div id="pagina-login">
                    <form class="form-container" action="javascript:login();" method="get">
                        <span id="mensagem-erro"></span>
                        <p><input type="text" class="field-medium" placeholder="Email" required="required" id="email"></p>
                        <p><input type="password" class="field-medium" placeholder="Senha" required="required" id="senha"></p>
                        <div>
                            <input class="botao_quiz" type="submit" value="Entrar">
                            <input class="botao_quiz" onclick="init()" type="button" value="Cancelar">
                        </div>
                    </form>
                </div>

                <div id="pagina-cadastro">
                        <form id="pergunta-cad" action="javascript:cadastrarPergunta();" class="form-container" method="get">
                        <p class="label-categorias">Categoria de perguntas:</p>
                        <div id="grupo-categoria" class="categoria-opcoes">
                            <div id="container-categoria-1" class="floatBlock">
                                <label for="categoria-1"><input id="categoria-1" name="categoria_id" type="radio" value="1" />Informática</label>
                            </div>

                            <div id="container-categoria-2" class="floatBlock">
                                <label for="categoria-2"> <input id="categoria-2" name="categoria_id" type="radio" value="2" />História</label>
                            </div>

                            <div id="container-categoria-3" class="floatBlock">
                                <label for="categoria-3"> <input id="categoria-3" name="categoria_id" type="radio" value="3" />História</label>
                            </div>
                            
                        </div>
                        <p><textarea type="text" required class="field-large" placeholder="Digite sua pergunta" name="pergunta"></textarea></p>
                            <div class="card">
                                <input type="text" required class="campo-marcador" placeholder="Resposta 1" name="resposta1">
                                <div class="input-choice" value="1"></div>
                            </div>
                            <div class="card">
                                <div class="input-choice" value="2"></div>
                                <input type="text" required class="campo-marcador" placeholder="Resposta 2" name="resposta2">
                            </div>
                            <div class="card">
                                <div class="input-choice" value="3"></div>
                                <input type="text" required class="campo-marcador" placeholder="Resposta 3" name="resposta3">
                            </div>
                            <div class="card">
                                <div class="input-choice" value="4"></div>
                                <input type="text" required class="campo-marcador" placeholder="Resposta 4" name="resposta4">
                            </div>
                            <input type="hidden" required id="certa-resposta" name="resposta_certa">
                        <p><input type="submit" class="input-medium" value="Cadastrar"><input type="reset" onclick="sairCadastro()" class="input-medium" value="Sair"></p>
                    </form>
                </div>

                <div id="pagina-quiz">
                    <div id="questao"></div>
                    <div id="respostas-area"></div>
                    <footer>
                        <p id="progresso"></p>
                    </footer>
                </div>

                <div id="pagina-resultado">
                    <div class="congrat-container">
                        <p><span class="congrat-message">Você acertou <span id="qtd-acertos"></span> pergunta(s)!</span></p>
                        <button class="input-medium" onclick="location.reload()">Finalizar</button>
                        <button class="input-medium" onclick="javascript:selecioneCategoria()">Continuar Quiz</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script src="js/jquery-1.11.3.js"></script>
    <script src="js/scripts.js"></script>
    <script src="js/paginas/categorias.js"></script>
    <script src="js/paginas/pagina_inicial.js"></script>
    <script src="js/paginas/quiz.js"></script>
    <script src="js/paginas/cadastro_perguntas.js"></script>
    <script src="js/paginas/login.js"></script>
</body>
</html>